Segment Exports
Operations related to Segment Exports for exporting all user identifiers belonging to a specific segment. Enables bulk extraction of segment user data to files for external processing (like partner integrations, or data sharing scenarios without using mediarithmics platform capabilities). Exports can include various identifier types (emails, cookies, user accounts, device IDs) based on configuration requirements.
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/audience_segments/{segment_id}/exports/{export_id}/action HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"action": "CANCEL"
}{
"status": "ok",
"data": {
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
}Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/audience_segments/{segment_id}/exports/{export_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
}Search the audience segment exports associated with a given audience segment id
Status of the export
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/audience_segments/{segment_id}/exports HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"max_results": 1,
"count": 1,
"data": [
{
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
],
"first_result": 1,
"status": "ok",
"total": 1
}falseSuccess !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/audience_segments/{segment_id}/exports HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"export_user_identifier": {
"type": "USER_DEVICE_POINT"
},
"mime_type": "TEXT_CSV",
"include_prefix": false
}{
"status": "ok",
"data": {
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
}Last updated
Was this helpful?